---
title: Simulate wallet provisioning approval
slug: apis/cards/apis/wallet-tokenization/simulate-wallet-provisioning-approval
description: This endpoint lets developers simulate wallet provisioning approval for a specific card using its GUID ID and optional token details, returning requester and reference IDs.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-05-07T06:20:49.222Z
---

## API reference

Simulate an approval of a wallet provisioning request.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardmanagement/v1/simulate/tokenization/approve-provisioning",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/approve-provisioning",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "hIyb6HxBZBiF03IHcJXah",
        "language": "curl",
        "code": "curl --location 'https://ops-sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/approve-provisioning' \\\n--data '{\n  \"cardId\": \"89a3ca77-10dc-4b88-b0a7-b4480095d104\"\n  }'",
        "customLabel": ""
      },
      {
        "id": "ft5vKqVLm1iBRbf8XC9I5",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'ops-sandbox.crbcos.com',\n  'path': '/cardmanagement/v1/simulate/tokenization/approve-provisioning',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData =  \"{\\r\\n  \\\"cardId\\\": \\\"89a3ca77-10dc-4b88-b0a7-b4480095d104\\\"\\r\\n  }\";\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "IKG44Td3ZAx081w4orXVV",
        "language": "python",
        "code": "import requests\n\nurl = \"https://ops-sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/approve-provisioning\"\n\npayload = \"{\\r\\n  \\\"cardId\\\": \\\"89a3ca77-10dc-4b88-b0a7-b4480095d104\\\"\\r\\n  }\"\nheaders = {}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "JmUimA3fR9SBHutatvEsD",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://ops-sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/approve-provisioning\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest.body = \"{\\r\\n  \\\"cardId\\\": \\\"89a3ca77-10dc-4b88-b0a7-b4480095d104\\\"\\r\\n  }\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "afy7cWT-4C2c6vnWR5eOB",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://ops-sandbox.crbcos.com/cardmanagement/v1/simulate/tokenization/approve-provisioning\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n  \"cardId\": \"89a3ca77-10dc-4b88-b0a7-b4480095d104\"`+\"\n\"+`\n  }`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "hIyb6HxBZBiF03IHcJXah"
  },
  "results": {
    "languages": [
      {
        "id": "kcRcUaYhEpL8DHVEgmP34",
        "language": "200",
        "code": "{\n    \"tokenRequestorId\": \"40010030273\",\n    \"tokenReferenceId\": \"DNITHE9081730203478143\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "kcRcUaYhEpL8DHVEgmP34"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "cardId",
        "kind": "required",
        "type": "string",
        "description": "GUID format card ID in the Cross River system, which is the id attribute value of the response to Create a card. This is not the number that appears on the card.",
        "": "GUID format card ID in the Cross River system, which is the id attribute value of the response to Create a card. This is not the number that appears on the card."
      },
      {
        "name": "tokenType",
        "kind": "optional",
        "type": "string",
        "description": "2-character alphanumeric code indicating the token type. Values: 01=ECOM/COF (e-commerce/card on file); 02=SE (secure element); 03=CBP (cloud-based payment); 05=E-commerce enabler; 06=Pseudo account. For Mastercard: C=Digital enablement service secure element token; E=Embossed account number provided by issuer; F=Digital enablement service static token; H=Digital enablement service cloud-based payments token; L=Pay with rewards loyalty program operator (LPO) card; M=Primary account number; P=Contactless account number; R=Pay with rewards card; V=Virtual card number. Note: Mastercard values are padded with a space.",
        "": "optional"
      },
      {
        "name": "tokenRequesterId",
        "kind": "optional",
        "type": "string",
        "description": "Identifier of the token service provider requesting tokenization.",
        "": "optional"
      },
      {
        "name": "tokenReferenceId",
        "kind": "optional",
        "type": "string",
        "description": "Unique reference identifier assigned by the token service provider.",
        "": "optional"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "tokenRequesterId",
      "kind": "optional",
      "type": "string",
      "description": ""
    },
    {
      "name": "tokenReferenceId",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-cardmanagementv1simulatetokenizationappro",
  "legacyHash": "x--SPHGtvjW6sA3Mdft10"
}
```
:::

